# -*- encoding: utf-8 -*-

from .formatter import formatter


class subfloat:
    """ Class representing a latex subfloat. """

    fmt = formatter({
        'content': """\\subfloat[{caption}]{{
{inner}
}}"""
    })

    def __init__(self, inner, caption):
        self.caption = caption
        self.inner = inner

    def __str__(self):
        return self.fmt.format('content', {
            'caption': self.caption,
            'inner': self.inner
        })
