# -*- encoding: utf-8 -*-

from ..formatter import formatter


class generic_plot:
    """ Class representing a pgfplots plot. """

    fmt = formatter({
        'options': '+[{content}]',
        'content': """\\addplot{options} {data};"""
    })

    def __init__(self, legend, data, options=[]):
        self.legend = legend
        self.data = data
        self.options = options

    def format_options(self, options):
        if not options:
            return ''
        opts = []
        for opt in options:
            if type(opt) is not str:
                opt = '{}={}'.format(*opt)
            opts.append(str(opt))
        return self.fmt.format('options', {
            'content': ', '.join(opts)
        })

    def __str__(self):
        return self.fmt.format('content', {
            'data': self.format_data(self.data),
            'options': self.format_options(self.options)
        })
